#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/libksirtet
  ${CMAKE_SOURCE_DIR}/libksirtet
  ${CMAKE_SOURCE_DIR}/libksirtet/base
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kfouleggs (executable) ####################

tde_add_executable( kfouleggs AUTOMOC
  SOURCES piece.cpp board.cpp ai.cpp field.cpp main.cpp prefs.kcfgc
  LINK tdecore-shared tdeui-shared tdeio-shared ksirtetcommon-static
    tdecore-shared tdeui-shared tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data ################################

install( FILES kfouleggsui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kfouleggs
)

install( FILES kfouleggs.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)

tde_create_translated_desktop(
  SOURCE eventsrc
  DESTINATION ${DATA_INSTALL_DIR}/kfouleggs
  PO_DIR kfouleggs-eventsrc
)

tde_create_translated_desktop( kfouleggs.desktop )
